import 'package:cookie_jar/cookie_jar.dart';
import 'package:dio/dio.dart';
import 'package:dio_cookie_manager/dio_cookie_manager.dart';

class HeaderInterceptor extends CookieManager {
  final int timeOut;

  HeaderInterceptor({required this.timeOut}) : super(CookieJar());

  @override
  void onRequest(RequestOptions options, RequestInterceptorHandler handler) {
    options.connectTimeout = timeOut;
    options.receiveTimeout = timeOut;
    super.onRequest(options, handler);
  }
}
