import 'dart:convert';

import 'package:convert/convert.dart';
import 'package:crypto/crypto.dart';

class EncryptUtils {
  static md5Encrypt(String data) {
    var content = const Utf8Encoder().convert(data);
    var digest = md5.convert(content);
    return hex.encode(digest.bytes);
  }

  static sha256Encrypt(String data, String salt) {
    var content = const Utf8Encoder().convert(data + salt);
    var digest = sha256.convert(content);
    return hex.encode(digest.bytes);
  }
}
