import 'package:logger/logger.dart';

var logger = Logger(
    printer: PrettyPrinter(
        methodCount: 1,
        errorMethodCount: 8,
        lineLength: 120,
        colors: false,
        printEmojis: true,
        printTime: false));

bool isDebug([bool defaultValue = false]) =>
    const bool.fromEnvironment("dart.vm.product") ? false : defaultValue;
